Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface XSDSchemaExtensibilityElement

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, WSDLElement

    public interface XSDSchemaExtensibilityElement

extends ExtensibilityElement

A representation of the model object 'XSD Schema Extensibility Element'.

Since:
  1.0
See Also:
  `WSDLPackage.getXSDSchemaExtensibilityElement()`

Method Summary
`org.eclipse.xsd.XSDSchema` | `getSchema()` Returns the value of the 'Schema' containment reference
`void` | `setSchema(org.eclipse.xsd.XSDSchema value)` Sets the value of the '`Schema`' containment reference

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getSchema

    org.eclipse.xsd.XSDSchema getSchema()

  Returns the value of the 'Schema' containment reference.

  If the meaning of the 'Schema' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' containment reference.
  See Also:
    `setSchema(XSDSchema)`, `WSDLPackage.getXSDSchemaExtensibilityElement_Schema()`

### setSchema

    void setSchema(org.eclipse.xsd.XSDSchema value)

  Sets the value of the '`Schema`' containment reference.

  Parameters:
    `value` - the new value of the 'Schema' containment reference.
  See Also:
    `getSchema()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD